@import '../../styles/mixins'
@import '../../styles/variables'

.footer
    display block
    margin-top $sp--double
    width 100%
    background-color $cl--gray
    color $cl--foreground

    &__main
        margin $sp--half auto
        width 92%
        display flex
        flex-direction column
        justify-content space-between
        +above(5)
            flex-direction row

    &__social
    &__contact
        flex 1
        margin-top $sp--half
        +above(5)
            flex 0 0 45%

        h4
            text-transform uppercase

    &__social
        display flex
        flex-direction column
        align-items start
        +above(5)
            flex-direction row

        h4
            +above(5)
                margin-right $sp

        & ^[0]__links
            display flex
            flex-direction column
            justify-content space-evenly
            width 100%
            margin-top $sp--half
            +between(3,4)
                flex-direction row
            +above(5)
                margin-top 0
                border-left 2px solid $cl--med
                padding-left $sp

        & ^[0]__item
            flex 0 1 auto
            display flex
            flex-direction row
            align-items center
            +between(3,4)
                flex-direction column

            &:not(:first-child)
                +above(5)
                    margin-top $sp--half

            &::before
                content ''
                display inline-block
                height $sp--double
                width $sp--double
                background-position center
                background-repeat no-repeat
                margin-right $sp--third
                +between(3,4)
                    margin-right 0

            &--about::before
                border-radius $sp
                background-image url('../../images/assets/94.svg')
                width $sp--plus-half
                height $sp--plus-half
                margin $sp--quarter
                margin-right $sp--third + $sp--quarter
                +between(3,4)
                    margin-right $sp--quarter

            &--email::before
                background-image url('../../images/assets/mail_black.svg')

            &--insta::before
                background-image url('../../images/assets/insta_black.svg')

        & ^[0]__link
            content-anchor($cl--med, $cl--dark)
            font-weight bold

    &__contact
        display flex
        flex-direction column
        margin-top $sp--plus-half
        +above(5)
            margin-top $sp--half


        h4
            margin-bottom $sp--third

        .button
            margin-top $sp--fifth
            padding $sp--fifth 0
            border-radius $bdrs
            height $sp--plus-half
            background-color $cl--bg
            color $cl--off

            &:hover
            &:active
                background-color $cl--low

            &--saving:after
                content " "
                display block
                width 1rem
                height 1rem
                margin $sp--quarter auto
                border-radius 50%
                border 2px solid $cl--off
                border-color $cl--off transparent $cl--off transparent
                animation lds-dual-ring 1.2s linear infinite

        .animated-check
            height 1rem
            width 1rem
            margin $sp--quarter auto

            path
                fill none
                stroke $cl--off
                stroke-width 4
                stroke-dasharray 23
                animation draw 1s linear forwards
                stroke-linecap round
                stroke-linejoin round

    &__contact_field
        display flex
        flex-direction row
        align-items center
        margin $sp--fifth 0

        &.--textarea
            align-items start

        &.--hidden
            display none

        label
            flex 0 0 40%

        input
        textarea
            width 60%

    &__secondary
        background-color $cl--bg
        color $cl--off
        margin $sp auto 0

        & ^[0]__inner
            display flex
            flex-direction row
            justify-content space-between
            align-items center
            margin-left auto
            margin-right auto
            padding $sp--half 0
            width 92%

        & ^[0]__nav
            display flex
            flex-direction column
            justify-content start
            align-items start
            +above(3)
                flex-direction row
                align-items center

        & ^[0]__item
            &:not(:first-child)
                margin-top $sp--third
                margin-left 0
                +above(3)
                    margin-top 0
                    margin-left $sp

        & ^[0]__link
            text-transform uppercase
            +above(3)
                font-size $fz--base

    &__link
        content-anchor(white, $cl--off)
        font-size $fz--base / $ratio
        +above(3)
            font-size $fz--base * $ratio
        line-height 1

        &--active
            box-shadow inset 0 -2px 0 modify-hsla($color: hsla($cl--off), $a: -.6)
            color $cl--off
